Skip to content

Updates a abstract setting with the specified ID.

Request

This method will update an existing abstract setting with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the abstract setting to update.

Bodyapplication/jsonrequired

The updated abstract setting that will be saved.

abstract_instructionsstring(Abstract Instructions)

Show instructions to those submitting abstracts

abstract_submission_optionsobject(Abstract Submission Options)required
allow_presenters_to_manage_documentsboolean(Allow Presenters To Manage Documents)

If true, presents can manage documents

allow_presenters_to_modify_their_sessionsboolean(Allow Presenters To Modify Their Sessions)

If true, presenters are able to modify their session

allow_speakers_to_modify_their_profilesboolean(Allow Speakers To Modify Their Profiles)

If true, speakers can modify their profile information

document_management_optionsobject(Document Management Options)required
enable_hide_statusboolean(Enable Hide Status)

Whether or not to hide abstract status in portal

enable_online_abstract_submissionboolean(Enable Online Abstract Submission)

Whether or not abstract submission is enabled

idstring(ID)^[\w|-]+$required

The unique, string identifier of this abstract settings

notesstring(Notes)
presenter_instructionsstring(Presenter Instructions)

Show instructions to those presenters

session_modification_optionsobject(Session Modification Options)required
show_status_datestring, (date-time)(Show Status Date)required

The date to show abstract status in the portal

speaker_profile_modification_optionsobject(Speaker Profile Modification Options)required
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstractSettings/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "abstract_instructions": "string",
    "abstract_submission_options": {
      "close_date": "2019-08-24T14:15:22Z",
      "open_date": "2019-08-24T14:15:22Z"
    },
    "allow_presenters_to_manage_documents": true,
    "allow_presenters_to_modify_their_sessions": true,
    "allow_speakers_to_modify_their_profiles": true,
    "document_management_options": {
      "deadline": "2019-08-24T14:15:22Z",
      "include_co_presenters": true
    },
    "enable_hide_status": true,
    "enable_online_abstract_submission": true,
    "id": "string",
    "notes": "string",
    "presenter_instructions": "string",
    "session_modification_options": {
      "deadline": "2019-08-24T14:15:22Z",
      "include_co_presenters": true,
      "session_form_id": "string"
    },
    "show_status_date": "2019-08-24T14:15:22Z",
    "speaker_profile_modification_options": {
      "deadline": "2019-08-24T14:15:22Z"
    },
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1
  }'

Responses

The abstract setting was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
abstract_instructionsstring(Abstract Instructions)

Show instructions to those submitting abstracts

abstract_submission_optionsobject(Abstract Submission Options)required
allow_presenters_to_manage_documentsboolean(Allow Presenters To Manage Documents)

If true, presents can manage documents

allow_presenters_to_modify_their_sessionsboolean(Allow Presenters To Modify Their Sessions)

If true, presenters are able to modify their session

allow_speakers_to_modify_their_profilesboolean(Allow Speakers To Modify Their Profiles)

If true, speakers can modify their profile information

document_management_optionsobject(Document Management Options)required
enable_hide_statusboolean(Enable Hide Status)

Whether or not to hide abstract status in portal

enable_online_abstract_submissionboolean(Enable Online Abstract Submission)

Whether or not abstract submission is enabled

idstring(ID)^[\w|-]+$required

The unique, string identifier of this abstract settings

notesstring(Notes)
presenter_instructionsstring(Presenter Instructions)

Show instructions to those presenters

session_modification_optionsobject(Session Modification Options)required
show_status_datestring, (date-time)(Show Status Date)required

The date to show abstract status in the portal

speaker_profile_modification_optionsobject(Speaker Profile Modification Options)required
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "abstract_instructions": "string", "abstract_submission_options": { "close_date": "2019-08-24T14:15:22Z", "open_date": "2019-08-24T14:15:22Z" }, "allow_presenters_to_manage_documents": true, "allow_presenters_to_modify_their_sessions": true, "allow_speakers_to_modify_their_profiles": true, "document_management_options": { "deadline": "2019-08-24T14:15:22Z", "include_co_presenters": true }, "enable_hide_status": true, "enable_online_abstract_submission": true, "id": "string", "notes": "string", "presenter_instructions": "string", "session_modification_options": { "deadline": "2019-08-24T14:15:22Z", "include_co_presenters": true, "session_form_id": "string" }, "show_status_date": "2019-08-24T14:15:22Z", "speaker_profile_modification_options": { "deadline": "2019-08-24T14:15:22Z" }, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }